Package org.eclipse.lemminx.xpath.matcher

## Interface IXPathNodeMatcher

All Known Implementing Classes:
  `AbstractXPathNodeMatcher`, `XPathAttributeMatcher`, `XPathAttributeNameMatcher`, `XPathElementMatcher`, `XPathTextMatcher`

    public interface IXPathNodeMatcher

XPath node matcher tests if `Node` match a fragment of XPath.

### Nested Class Summary

Nested Classes
`static class` `IXPathNodeMatcher.MatcherType`

### Field Summary

Fields
`static IXPathNodeMatcher[]` `EMPTY_NODE_MATCHER`

### Method Summary

All Methods Instance Methods Abstract Methods
`XPathMatcher` `getOwnerMatcher()` Returns the owner matcher.
`IXPathNodeMatcher.MatcherType` `getType()` Returns matcher type.
`boolean` `isAny()` Returns true if matcher is any (Node is every time matched) and false otherwise.
`boolean` `match​(Node testNode, Collection<String> wildcardValues)` Match the `Node` and fill wildcard values if node matcher define widcard.

### Field Detail

#### EMPTY_NODE_MATCHER

    static final IXPathNodeMatcher[] EMPTY_NODE_MATCHER

### Method Detail

#### getOwnerMatcher

    XPathMatcher getOwnerMatcher()

Returns the owner matcher.

Returns:

#### getType

    IXPathNodeMatcher.MatcherType getType()

Returns matcher type.

Returns:

#### match

    boolean match​(Node testNode,
                  Collection<String> wildcardValues)

Match the `Node` and fill wildcard values if node matcher define widcard.

Parameters:
  `testNode` - node to test.
  `wildcardValues` - wildcard values if node matcher define widcard.
Returns:

#### isAny

    boolean isAny()

Returns true if matcher is any (Node is every time matched) and false otherwise.

Returns: